Debian Bug report logs - #498600
After resume, wpasupplicant sits idle

version graph

Package: wpasupplicant; Maintainer for wpasupplicant is Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>; Source for wpasupplicant is src:wpa.

Reported by: Antony Gelberg <antony.gelberg@gmail.com>

Date: Thu, 11 Sep 2008 13:03:06 UTC

Severity: normal

Tags: moreinfo

Found in version wpasupplicant/0.6.4~git20080716.93ef879-1

Done: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#498600; Package wpasupplicant. Full text and rfc822 format available.

Acknowledgement sent to Antony Gelberg <antony.gelberg@wayforth.com>:
New Bug report received and forwarded. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antony Gelberg <antony.gelberg@wayforth.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: After resume, wpasupplicant sits idle
Date: Thu, 11 Sep 2008 13:03:11 +0100
Package: wpasupplicant
Version: 0.6.4~git20080716.93ef879-1
Severity: normal

Hi,

I have to say that this is a difficult problem to replicate, or should I say
the workaround is not always the same.  I find that after suspending or
hibernating my laptop, the wlan0 interface doesn't come back up properly.  It
doesn't seem to matter whether or not I resume in the same SSID that I
suspended in.

Here follows some output, taken a couple of minutes after resume, with my
comments prefixed with ***.

Every 2.0s: ifconfig wlan0
Sat Sep  6 11:57:11 2008

wlan0     Link encap:Ethernet  HWaddr 00:1f:3c:4b:70:1f
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:675729 errors:0 dropped:0 overruns:0 frame:0
          TX packets:269129 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:880049567 (839.2 MiB)  TX bytes:65980602 (62.9 MiB)

*** No IP address assigned.

very 2.0s: iwconfig wlan0 
wlan0     IEEE 802.11  ESSID:"haslemere"
          Mode:Managed  Frequency:2.462 GHz  Access Point: Not-Associated
          Tx-Power=15 dBm
          Retry min limit:7   RTS thr:off   Fragment thr=2352 B
          Encryption key: ***munged [2]
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

*** No MAC address.

labrie:/home/antony# tail -f /var/log/wpa_supplicant.wlan0.log 
Failed to initiate AP scan.
Failed to initiate AP scan.
Failed to initiate AP scan.
Failed to initiate AP scan.
Failed to initiate AP scan.
Failed to initiate AP scan.
Failed to initiate AP scan.
Failed to initiate AP scan.
Failed to initiate AP scan.
Failed to initiate AP scan.

*** Self-explanatory.

Every 2.0s: ps ax |grep wlan0
Sat Sep  6 11:59:47 2008

28074 ?        Ss     0:00 /sbin/wpa_supplicant -W -B -P
/var/run/wpa_supplicant.wlan0.pid -i wlan0 -D wext -q -f
/var/log/wpa_supplicant.w
28125 ?        Ss     0:00 /sbin/wpa_cli -B -P /var/run/wpa_action.wlan0.pid
-i wlan0 -p /var/run/wpa_supplicant -a /sbin/wpa_action
32259 pts/8    S+     0:00 watch ifconfig wlan0
32267 ?        Ss     0:00 avahi-autoipd: [wlan0] bound 169.254.3.212
32268 ?        Ss     0:00 avahi-autoipd: [wlan0] callout dispatcher
32277 pts/10   S+     0:00 watch iwconfig wlan0
32280 ?        Ss     0:00 dhclient3 -pf /var/run/dhclient.wlan0.pid -lf
/var/lib/dhcp3/dhclient.wlan0.leases wlan0
32392 pts/9    S+     0:00 tail -f /var/log/wpa_supplicant.wlan0.log
32593 pts/14   S+     0:00 watch ps ax |grep wlan0
32629 pts/14   S+     0:00 sh -c ps ax |grep wlan0
32631 pts/14   S+     0:00 grep wlan0

*** wpa_supplicant and dhclient are running.

I tried reassociate in wpa_cli, and it associated with the AP, but still
didn't receive an IP address via DHCP.  I then tried ifdown wlan0 && ifup
wlan0, and I got:
<2>Trying to associate with 00:14:bf:3d:a7:8e (SSID='haslemere' freq=2462 MHz)
<2>CTRL-EVENT-SCAN-RESULTS 
<2>Authentication with 00:14:bf:3d:a7:8e timed out.

Eventually things work, after ifdown wlan0, then waiting a minute or two, then
ifup wlan0.  I wish I could be more specific about the recovery but it doesn't
seem consistent - I'm not even 100% sure it's related to my ifdown and ifup
commands.  Please let me know if you need any more information, I'll happily
assist debugging if you give me a clue.

Lastly:
# cat /etc/network/interfaces 
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
allow-hotplug eth0
iface eth0 inet dhcp

auto wlan0
iface wlan0 inet manual
        wpa-driver wext
        wpa-roam /etc/wpa_supplicant/wpa_supplicant.conf

iface default inet dhcp

Antony

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages wpasupplicant depends on:
ii  adduser                       3.110      add and remove users and groups
ii  libc6                         2.7-13     GNU C Library: Shared libraries
ii  libdbus-1-3                   1.2.1-3    simple interprocess messaging syst
ii  libpcsclite1                  1.4.102-1  Middleware to access a smart card 
ii  libreadline5                  5.2-3      GNU readline and history libraries
ii  libssl0.9.8                   0.9.8g-13  SSL shared libraries
ii  lsb-base                      3.2-20     Linux Standard Base 3.2 init scrip

wpasupplicant recommends no packages.

Versions of packages wpasupplicant suggests:
pn  libengine-pkcs11-openssl      <none>     (no description available)
pn  wpagui                        <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#498600; Package wpasupplicant. Full text and rfc822 format available.

Acknowledgement sent to Kel Modderman <kel@otaku42.de>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 498600@bugs.debian.org (full text, mbox):

From: Kel Modderman <kel@otaku42.de>
To: pkg-wpa-devel@lists.alioth.debian.org, Antony Gelberg <antony.gelberg@wayforth.com>, 498600@bugs.debian.org
Subject: Re: [pkg-wpa-devel] Bug#498600: After resume, wpasupplicant sits idle
Date: Thu, 11 Sep 2008 23:42:49 +1000
Hi Antony,

On Thursday 11 September 2008 22:03:11 Antony Gelberg wrote:
> Package: wpasupplicant
> Version: 0.6.4~git20080716.93ef879-1
> Severity: normal
> 
> Hi,
> 
> I have to say that this is a difficult problem to replicate, or should I say
> the workaround is not always the same.  I find that after suspending or
> hibernating my laptop, the wlan0 interface doesn't come back up properly.  It
> doesn't seem to matter whether or not I resume in the same SSID that I
> suspended in.

My hunch is it is very likely to be a problem related to the kernel
wifi driver/networking stack. Also check your dmesg buffer for interesting
messages from the kernel.

> 
> Here follows some output, taken a couple of minutes after resume, with my
> comments prefixed with ***.
> 
> Every 2.0s: ifconfig wlan0
> Sat Sep  6 11:57:11 2008
> 
> wlan0     Link encap:Ethernet  HWaddr 00:1f:3c:4b:70:1f
>           UP BROADCAST MULTICAST  MTU:1500  Metric:1
>           RX packets:675729 errors:0 dropped:0 overruns:0 frame:0
>           TX packets:269129 errors:0 dropped:0 overruns:0 carrier:0
>           collisions:0 txqueuelen:1000
>           RX bytes:880049567 (839.2 MiB)  TX bytes:65980602 (62.9 MiB)
> 
> *** No IP address assigned.
> 
> very 2.0s: iwconfig wlan0 
> wlan0     IEEE 802.11  ESSID:"haslemere"
>           Mode:Managed  Frequency:2.462 GHz  Access Point: Not-Associated
>           Tx-Power=15 dBm
>           Retry min limit:7   RTS thr:off   Fragment thr=2352 B
>           Encryption key: ***munged [2]
>           Link Quality:0  Signal level:0  Noise level:0
>           Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
>           Tx excessive retries:0  Invalid misc:0   Missed beacon:0
> 
> *** No MAC address.
> 
> labrie:/home/antony# tail -f /var/log/wpa_supplicant.wlan0.log 
> Failed to initiate AP scan.
> Failed to initiate AP scan.
> Failed to initiate AP scan.
> Failed to initiate AP scan.
> Failed to initiate AP scan.
> Failed to initiate AP scan.
> Failed to initiate AP scan.
> Failed to initiate AP scan.
> Failed to initiate AP scan.
> Failed to initiate AP scan.
> 
> *** Self-explanatory.
> 
> Every 2.0s: ps ax |grep wlan0
> Sat Sep  6 11:59:47 2008
> 
> 28074 ?        Ss     0:00 /sbin/wpa_supplicant -W -B -P
> /var/run/wpa_supplicant.wlan0.pid -i wlan0 -D wext -q -f
> /var/log/wpa_supplicant.w
> 28125 ?        Ss     0:00 /sbin/wpa_cli -B -P /var/run/wpa_action.wlan0.pid
> -i wlan0 -p /var/run/wpa_supplicant -a /sbin/wpa_action
> 32259 pts/8    S+     0:00 watch ifconfig wlan0
> 32267 ?        Ss     0:00 avahi-autoipd: [wlan0] bound 169.254.3.212
> 32268 ?        Ss     0:00 avahi-autoipd: [wlan0] callout dispatcher
> 32277 pts/10   S+     0:00 watch iwconfig wlan0
> 32280 ?        Ss     0:00 dhclient3 -pf /var/run/dhclient.wlan0.pid -lf
> /var/lib/dhcp3/dhclient.wlan0.leases wlan0
> 32392 pts/9    S+     0:00 tail -f /var/log/wpa_supplicant.wlan0.log
> 32593 pts/14   S+     0:00 watch ps ax |grep wlan0
> 32629 pts/14   S+     0:00 sh -c ps ax |grep wlan0
> 32631 pts/14   S+     0:00 grep wlan0
> 
> *** wpa_supplicant and dhclient are running.
> 
> I tried reassociate in wpa_cli, and it associated with the AP, but still
> didn't receive an IP address via DHCP.  I then tried ifdown wlan0 && ifup
> wlan0, and I got:
> <2>Trying to associate with 00:14:bf:3d:a7:8e (SSID='haslemere' freq=2462 MHz)
> <2>CTRL-EVENT-SCAN-RESULTS 
> <2>Authentication with 00:14:bf:3d:a7:8e timed out.
> 
> Eventually things work, after ifdown wlan0, then waiting a minute or two, then
> ifup wlan0.  I wish I could be more specific about the recovery but it doesn't
> seem consistent - I'm not even 100% sure it's related to my ifdown and ifup
> commands.  Please let me know if you need any more information, I'll happily
> assist debugging if you give me a clue.
> 
> Lastly:
> # cat /etc/network/interfaces 
> # This file describes the network interfaces available on your system
> # and how to activate them. For more information, see interfaces(5).
> 
> # The loopback network interface
> auto lo
> iface lo inet loopback
> 
> # The primary network interface
> allow-hotplug eth0
> iface eth0 inet dhcp
> 
> auto wlan0
> iface wlan0 inet manual
>         wpa-driver wext
>         wpa-roam /etc/wpa_supplicant/wpa_supplicant.conf
> 
> iface default inet dhcp

Workarounds:

I have found it very reliable to have the network disconnected entering
suspend, and reconnected upon resuming. Otherwise, for me, the iwl* driver
seemed to resume still associated network but without meaningful network
connectivity.

The execution of such a hook depends on what power management software you are
using. On Debian the popular ones seem to be acpi-support or pm-utils. I
understand pm-utils pretty well, and have integrated a suspend/resume hook in a
package in personal archive:
http://sidux.net/kelmo/debian/pool/main/w/wpasupplicant/
(Disclaimer: be careful with packages not coming directly from Debian archive)

It installs a script to:
/etc/wpa_supplicant/action_wpa.sh

With symlink to script in pm-utils hook area:
/etc/pm/sleep.d/action_wpa

As long as you keep the default wpa_supplicant configuration option for
ctrl_interface (/var/run/wpa_supplicant/) this hook should be able to
disconnect all wpa-roam'ing interfaces as machine goes into sleep, and
reconnect on resume.

For acpi-support see: http://bugs.debian.org/390884 , I do not use or
understand acpi-support very well.

Thanks, Kel.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#498600; Package wpasupplicant. Full text and rfc822 format available.

Acknowledgement sent to Antony Gelberg <antony.gelberg@wayforth.com>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 498600@bugs.debian.org (full text, mbox):

From: Antony Gelberg <antony.gelberg@wayforth.com>
To: pkg-wpa-devel@lists.alioth.debian.org
Cc: 498600@bugs.debian.org
Subject: Re: [pkg-wpa-devel] Bug#498600: After resume, wpasupplicant sits idle
Date: Mon, 15 Sep 2008 11:47:34 +0100
Kel Modderman wrote:
> Hi Antony,
> 
> On Thursday 11 September 2008 22:03:11 Antony Gelberg wrote:
>> Package: wpasupplicant
>> Version: 0.6.4~git20080716.93ef879-1
>> Severity: normal
>>
>> Hi,
>>
>> I have to say that this is a difficult problem to replicate, or should I say
>> the workaround is not always the same.  I find that after suspending or
>> hibernating my laptop, the wlan0 interface doesn't come back up properly.  It
>> doesn't seem to matter whether or not I resume in the same SSID that I
>> suspended in.
> 
> My hunch is it is very likely to be a problem related to the kernel
> wifi driver/networking stack. Also check your dmesg buffer for interesting
> messages from the kernel.

Thanks for responding.

Here's this morning's messages (please excuse my mailer's wrapping).

# grep wlan0 /var/log/syslog |grep -v avahi |grep -v ntp |grep "Sep 15"
Sep 15 10:13:33 labrie kernel: [365672.296512] wlan0: Initial auth_alg=0
Sep 15 10:13:33 labrie kernel: [365672.296518] wlan0: authenticate with 
AP 00:14:bf:3d:a7:8e
Sep 15 10:13:33 labrie kernel: [365672.301184] wlan0: RX authentication 
from 00:14:bf:3d:a7:8e (alg=0 transaction=2 status=0)
Sep 15 10:13:33 labrie kernel: [365672.301184] wlan0: authenticated
Sep 15 10:13:33 labrie kernel: [365672.301184] wlan0: associate with AP 
00:14:bf:3d:a7:8e
Sep 15 10:13:33 labrie kernel: [365672.303877] wlan0: RX ReassocResp 
from 00:14:bf:3d:a7:8e (capab=0x471 status=0 aid=1)
Sep 15 10:13:33 labrie kernel: [365672.303877] wlan0: associated
Sep 15 10:13:35 labrie kernel: [365680.310981] wlan0: RX 
deauthentication from 00:14:bf:3d:a7:8e (reason=1)
Sep 15 10:13:35 labrie kernel: [365680.310981] wlan0: deauthenticated
Sep 15 10:13:36 labrie kernel: [365681.309938] wlan0: authenticate with 
AP 00:14:bf:3d:a7:8e
Sep 15 10:13:36 labrie kernel: [365681.312178] wlan0: RX authentication 
from 00:14:bf:3d:a7:8e (alg=0 transaction=2 status=0)
Sep 15 10:13:36 labrie kernel: [365681.312178] wlan0: authenticated
Sep 15 10:13:36 labrie kernel: [365681.312178] wlan0: associate with AP 
00:14:bf:3d:a7:8e
Sep 15 10:13:36 labrie kernel: [365681.314684] wlan0: RX ReassocResp 
from 00:14:bf:3d:a7:8e (capab=0x471 status=0 aid=1)
Sep 15 10:13:36 labrie kernel: [365681.314684] wlan0: associated
Sep 15 10:13:36 labrie kernel: [365681.314684] wlan0: CTS protection 
enabled (BSSID=00:14:bf:3d:a7:8e)
Sep 15 10:13:36 labrie kernel: [365681.314684] wlan0: switched to short 
barker preamble (BSSID=00:14:bf:3d:a7:8e)
Sep 15 10:13:46 labrie dhclient: There is already a pid file 
/var/run/dhclient.wlan0.pid with pid 20970
Sep 15 10:13:46 labrie dhclient: Listening on LPF/wlan0/00:1f:3c:4b:70:1f
Sep 15 10:13:46 labrie dhclient: Sending on   LPF/wlan0/00:1f:3c:4b:70:1f
Sep 15 10:14:10 labrie dhclient: DHCPRELEASE on wlan0 to 192.168.1.1 port 67
Sep 15 10:14:15 labrie kernel: [365720.820450] ADDRCONF(NETDEV_UP): 
wlan0: link is not ready
Sep 15 10:14:17 labrie dhclient: Listening on LPF/wlan0/00:1f:3c:4b:70:1f
Sep 15 10:14:17 labrie dhclient: Sending on   LPF/wlan0/00:1f:3c:4b:70:1f
Sep 15 10:14:19 labrie dhclient: DHCPDISCOVER on wlan0 to 
255.255.255.255 port 67 interval 7
Sep 15 10:14:26 labrie dhclient: DHCPDISCOVER on wlan0 to 
255.255.255.255 port 67 interval 7
Sep 15 10:14:33 labrie dhclient: DHCPDISCOVER on wlan0 to 
255.255.255.255 port 67 interval 7
Sep 15 10:14:40 labrie dhclient: DHCPDISCOVER on wlan0 to 
255.255.255.255 port 67 interval 9
Sep 15 10:14:49 labrie dhclient: DHCPDISCOVER on wlan0 to 
255.255.255.255 port 67 interval 16
Sep 15 10:15:05 labrie dhclient: DHCPDISCOVER on wlan0 to 
255.255.255.255 port 67 interval 8
Sep 15 10:15:13 labrie dhclient: DHCPDISCOVER on wlan0 to 
255.255.255.255 port 67 interval 7

The only thing that strikes me as strange is the "kernel: 
[365720.820450] ADDRCONF(NETDEV_UP): wlan0: link is not ready".  I do 
not see why this should be so if wlan0 is associated with the AP.  Are 
you saying that this is definitely a kernel issue, because if so I will 
move the bug.

> 
> Workarounds:
> 
> I have found it very reliable to have the network disconnected entering
> suspend, and reconnected upon resuming. Otherwise, for me, the iwl* driver
> seemed to resume still associated network but without meaningful network
> connectivity.
> 

Hmm, iwl*?  Me too.  *ding*

The one thing I need to confirm is that for me, the driver resumes /not/ 
associated to the AP.  I will reply to this message in a day or two with 
confirmation.  At the moment, my recollection is that after a short 
sleep, it remains associated, and after a long sleep, it doesn't.

I am also trying the latest firmware (not yet in Debian), which I 
suppose might resolve the issue.

> The execution of such a hook depends on what power management software you are
> using. On Debian the popular ones seem to be acpi-support or pm-utils. I
> understand pm-utils pretty well, and have integrated a suspend/resume hook in a
> package in personal archive:
> http://sidux.net/kelmo/debian/pool/main/w/wpasupplicant/
> (Disclaimer: be careful with packages not coming directly from Debian archive)
> 
> It installs a script to:
> /etc/wpa_supplicant/action_wpa.sh
> 
> With symlink to script in pm-utils hook area:
> /etc/pm/sleep.d/action_wpa
> 
> As long as you keep the default wpa_supplicant configuration option for
> ctrl_interface (/var/run/wpa_supplicant/) this hook should be able to
> disconnect all wpa-roam'ing interfaces as machine goes into sleep, and
> reconnect on resume.
> 

I'm using pm-utils.  I have found that a simple, clunky script run on 
resume does the job:
#!/bin/sh
/etc/init.d/networking stop
modprobe -r iwl3945
modprobe iwl3945
/etc/init.d/networking start

Antony




Changed Bug submitter to 'Antony Gelberg <antony.gelberg@gmail.com>' from 'Antony Gelberg <antony.gelberg@wayforth.com>' Request was from Antony Gelberg <antony.gelberg@gmail.com> to control@bugs.debian.org. (Sun, 06 Jun 2010 12:18:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>:
Bug#498600; Package wpasupplicant. (Wed, 23 May 2012 01:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>. (Wed, 23 May 2012 01:03:06 GMT) Full text and rfc822 format available.

Message #22 received at 498600@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: Antony Gelberg <antony.gelberg@gmail.com>, 498600@bugs.debian.org, control@bugs.debian.org
Subject: Re: After resume, wpasupplicant sits idle
Date: Wed, 23 May 2012 03:01:10 +0200
[Message part 1 (text/plain, inline)]
tags 498600 + moreinfo
thanks

Hi

On Wednesday 23 May 2012, Antony Gelberg wrote:
> Package: wpasupplicant
> Version: 0.6.4~git20080716.93ef879-1
> Severity: normal
> 
> Hi,
> 
> I have to say that this is a difficult problem to replicate, or should I say
> the workaround is not always the same.  I find that after suspending or
> hibernating my laptop, the wlan0 interface doesn't come back up properly.  It
> doesn't seem to matter whether or not I resume in the same SSID that I
> suspended in.

Is this issue still open? There have been significant changes in 
iwl3945 and wpasupplicant (including packaging changes to add pm-utils 
hooks) in the mean time, therefore it would be interesting to know if 
this is still a bug with kernel 3.2 and wpasupplicant 1.0.

Regards
	Stefan Lippers-Hollmann
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from "Stefan Lippers-Hollmann" <s.L-H@gmx.de> to control@bugs.debian.org. (Wed, 23 May 2012 01:03:09 GMT) Full text and rfc822 format available.

Reply sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
You have taken responsibility. (Sun, 01 Jul 2012 15:06:09 GMT) Full text and rfc822 format available.

Notification sent to Antony Gelberg <antony.gelberg@gmail.com>:
Bug acknowledged by developer. (Sun, 01 Jul 2012 15:06:09 GMT) Full text and rfc822 format available.

Message #29 received at 498600-done@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 498600-done@bugs.debian.org
Subject: Re: After resume, wpasupplicant sits idle
Date: Sun, 1 Jul 2012 17:02:55 +0200
[Message part 1 (text/plain, inline)]
Hi

On Wednesday 23 May 2012, Stefan Lippers-Hollmann wrote:
> On Wednesday 23 May 2012, Antony Gelberg wrote:
> > Package: wpasupplicant
> > Version: 0.6.4~git20080716.93ef879-1
> > Severity: normal
> > 
> > Hi,
> > 
> > I have to say that this is a difficult problem to replicate, or should I say
> > the workaround is not always the same.  I find that after suspending or
> > hibernating my laptop, the wlan0 interface doesn't come back up properly.  It
> > doesn't seem to matter whether or not I resume in the same SSID that I
> > suspended in.
> 
> Is this issue still open? There have been significant changes in 
> iwl3945 and wpasupplicant (including packaging changes to add pm-utils 
> hooks) in the mean time, therefore it would be interesting to know if 
> this is still a bug with kernel 3.2 and wpasupplicant 1.0.

No submitter response, given the previous explanation I'm pretty 
confident that this bug has been fixed meanwhile.

Regards
	Stefan Lippers-Hollmann
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Jul 2012 07:25:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:42:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.